ServiceLayerRest::Engine.routes.draw do
    constraints( :format => 'json' ) do
        scope '/api' do
            scope '/v1' do
                scope '/reports' do
                    get '/is_authorized' => "reports#is_authorized"

                    get '/configurations' => "reports#configurations"
                    get '/employee_statistic' => "reports#employee_statistic"

                    match '(/*path)' => 'reports#server', via: [:get, :post, :put, :patch, :delete]
                end
            end
        end        
    end
end